package solms.xmlvend.messagevalidator.util;

import solms.xmlvend.testreport.Testreport;
import java.util.Comparator;

/**
 * Compares TestReport instances, simply by ClientID
 *
 * @author dawidl
 * @version 0.1 (Jul 1, 2004)
 */
public class TestReportComparator implements Comparator
{

    /* (non-Javadoc)
     * @see com.sun.msv.datatype.xsd.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(Object arg0, Object arg1)
    {
        try
        {
            Testreport r1 = (Testreport)arg0;
            Testreport r2 = (Testreport)arg1;
            if (r1 == null || r2 == null || r1 == r2)
                return 0;
            // Compare ClientIDs
            return r1.getClient().getClientId().compareTo(r2.getClient().getClientId());
        }
        catch (Exception e)
        {
            return 0;
        }
    }

}
